adding pacage (winexe) to cross compile with ltib for qsb

cancel
Showing results for 
Search instead for 
Did you mean: 

adding pacage (winexe) to cross compile with ltib for qsb

1,062 Views
snirnisim
Contributor III

hello everyone,

I'm trying to add a package to use with Ltib. the package is "winexe".

I've downloaded it from this link: http://sourceforge.net/projects/winexe/

I've followed LtibFaq page in this link: http://www.bitshrine.org/autodocs/LtibFaq.html

and  the steps were:

1)downloading the package (from above link)

2)mv winexe-1.00.tar.gz /opt/freescale/pkgs/

3)mkdir dist/lfs-5.1/winexe

4)cp dist/lfs-5.1/template/template.spec dist/lfs-5.1/winexe/winexe.spec

5)edit the winexe.spec file as attached. ad described in this link of the installation commands: http://whowhywhathow.blogspot.com/2011/04/winexe-to-run-code-on-windows-machines.html

6)ran  ./ltib -m prep -p winexe --> succeeded

7)ran ./ltib -m scbuild -p winexe -->failed.

the terminal log is attached also in "terminal_log.txt" file.

i think it something with the dependencies path (python...) but i don't know how to point it to the correct path. (I've installed python with ltib so i have python 2.4 in my rootfs but winexe don't know about it....)

can someone please help me with this...

 

thanks,

snir

Original Attachment has been moved to: 281-winexe.spec

Labels (1)
0 Kudos
5 Replies

397 Views
snirnisim
Contributor III

hi again,

i really need to solve this situation asap... if someone knows how to help me please post.

thanks,

snir

0 Kudos

397 Views
snirnisim
Contributor III

hi again everyone,

i really need help to adapt this package to my qsb in order to execute .exe file in a windows machin tat connected on lan to the qsb.

can someone please help with that?

0 Kudos

397 Views
snirnisim
Contributor III

well i think i got closer  to the problem. i think that i need to adapt the .spec file to make the ./configure file make the "checking for ..."  in ltib/rootfs instead of in my host fs. i thought so because the terminal plot (attached above) says something about python2.6 which is installed in my host bu only python2.4 (that ltib provided) is installed in ltib/roofs.

is that correct? if so how would you suggest to rewrite the .spec file ? if not what i need to do to use that wonderful pacakge that i haven't done yet...?!?!?

thanks,

snir

0 Kudos

397 Views
snirnisim
Contributor III

thanks for the replay.

i tried runing: sudo apt-get install python

and got:

Reading package lists... Done
Building dependency tree       
Reading state information... Done
python2.6 is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

so it's not the python in the host it's something with the  spec file,attached above, or configure file that points to python in the host in irregular location but i can't find it... i hoped someone will notice something in the files that i missed or that someone did it before, adding winexe to LTIB.




Krishna Pavan said:

Hi SnirNisim,

Its asking for Python 2.6.
/usr/bin refers to your Host.
checking for python2.6... /usr/bin/python2.6
checking for python2.6-config... /usr/bin/python2.6-config
checking working python module support... no configure: error: Python not found.
Please install Python 2.x and its development headers/libraries.
0 Kudos

397 Views
KrishnaPavan
Contributor II

Hi SnirNisim,

Its asking for Python 2.6.
/usr/bin refers to your Host.
checking for python2.6... /usr/bin/python2.6
checking for python2.6-config... /usr/bin/python2.6-config
checking working python module support... no configure: error: Python not found.
Please install Python 2.x and its development headers/libraries.
0 Kudos